% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/elasticache_operations.R
\name{elasticache_describe_user_groups}
\alias{elasticache_describe_user_groups}
\title{Returns a list of user groups}
\usage{
elasticache_describe_user_groups(UserGroupId, MaxRecords, Marker)
}
\arguments{
\item{UserGroupId}{The ID of the user group.}

\item{MaxRecords}{The maximum number of records to include in the response. If more
records exist than the specified MaxRecords value, a marker is included
in the response so that the remaining results can be retrieved.}

\item{Marker}{An optional marker returned from a prior request. Use this marker for
pagination of results from this operation. If this parameter is
specified, the response includes only records beyond the marker, up to
the value specified by MaxRecords. >}
}
\value{
A list with the following syntax:\preformatted{list(
  UserGroups = list(
    list(
      UserGroupId = "string",
      Status = "string",
      Engine = "string",
      UserIds = list(
        "string"
      ),
      PendingChanges = list(
        UserIdsToRemove = list(
          "string"
        ),
        UserIdsToAdd = list(
          "string"
        )
      ),
      ReplicationGroups = list(
        "string"
      ),
      ARN = "string"
    )
  ),
  Marker = "string"
)
}
}
\description{
Returns a list of user groups.
}
\section{Request syntax}{
\preformatted{svc$describe_user_groups(
  UserGroupId = "string",
  MaxRecords = 123,
  Marker = "string"
)
}
}

\keyword{internal}
